Redmine - Feature #5136

Parent select on Wiki rename page
2010-03-20 11:45 - Aleksey Hariton

Status: Closed Start date: 2010-03-20
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 1.1.0

Resolution: Fixed

Description

| wont to add parent selection combobox on rename page, but when | change field type from text_field to collection_select string
"Parent page" removed :(, how can | fix it?

select-in-rename.png
My patch for app/views/wiki/rename.rhtml

9¢c9
< <p><%= f.text_field :parent_title, :size => 100 %></p>

> <p><%= f.collection_select :parent_title, WikiPage.find(:all, :conditions => ["id <> ? ", (@page.
id 1), :title, :pretty_title, {:prompt => ""} $></p>

P.S.

| am novice in RoR

Related issues:
Has duplicate Redmine - Feature #3617: Selecting wiki page parent from a list Closed 2009-07-15

Associated revisions

Revision 4375 - 2010-11-06 15:30 - Jean-Philippe Lang

Adds a combo to select parent on wiki page rename (#5136).

History

#1 - 2010-09-21 01:55 - Eric Davis
- Category changed from Ul to Wiki
- Assignee set to Eric Davis

- Target version set to Unplanned backlogs

#2 - 2010-10-25 16:59 - Eric Davis

- Assignee deleted (Eric Davis)

#3 - 2010-11-06 15:24 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Target version changed from Unplanned backlogs to 1.1.0

- Resolution set to Fixed

Feature added in r4375. The combo shows the page hierarchy.
